Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.QualifiedClassNameContext

- org.apache.groovy.parser.antlr4.GroovyParser.QualifiedClassNameContext

-     public static class GroovyParser.QualifiedClassNameContext
      extends GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `QualifiedClassNameContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public int` | `getRuleIndex()`
    `` | `public IdentifierContext` | `identifier()`
    `` | `public QualifiedNameElementsContext` | `qualifiedNameElements()`

- - ### Constructor Detail

    - #### public QualifiedClassNameContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### @Override
      public int getRuleIndex()

    - #### public IdentifierContext identifier()

    - #### public QualifiedNameElementsContext qualifiedNameElements()